package com.ygtx.gxt.domain;

import com.ygtx.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ygtx.common.core.domain.BaseEntity;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 工单数据对象 gxt_order_data
 * 
 * @author Qoder
 * @date 2025-11-19
 */
public class GxtOrderData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @Excel(name = "工单编码")
    private String orderCode;

    /** 开始时间 */
    private Date startTime;

    /** 结束时间 */
    private Date endTime;

    /** 中心 */
    @Excel(name = "中心")
    private String center;

    /** 场站 */
    @Excel(name = "场站")
    private String pcs;

    /** 编码 */
    @Excel(name = "风机编号")
    private String code;

    /** 品牌 */
    @Excel(name = "品牌")
    private String brand;

    /** 机型 */
    @Excel(name = "机型")
    private String model;

    /** 系统 */
    @Excel(name = "系统")
    private String system;

    /**
     * 工单类型
     */
    @Excel(name = "工单类型")
    private String orderType;

    /** 维修工单 */
    private Boolean repairOrder;

    /** 维保工单 */
    private Boolean workOrder;

    /** 维修员 */
    @Excel(name = "工作班成员")
    private String repairPerson;

    /** 负责人 */
    @Excel(name = "工作负责人")
    private String chargePerson;

    /** 复启操作人 */
    @Excel(name = "复启操作人")
    private String operator;

    /** 维保工单数 */
    @Excel(name = "维保工单数")
    private Integer workOrderNum;

    /** 维修工单数 */
    @Excel(name = "维修工单数")
    private Integer repairOrderNum;

    private Integer repairRestartOrderNum;

    /** 工时统计 */
    private String gstj;

    /** 下发时长 */
    @Excel(name = "下发时长(h)")
    private String xfsc;

    /** 响应时长 */
    @Excel(name = "接单时长(h)")
    private String xysc;

    /** 准备时长 */
    @Excel(name = "准备时长(h)")
    private String zbsc;

    /** 处理时长 */
    @Excel(name = "作业时长(h)")
    private String clsc;

    /** 启机并网时长 */
    @Excel(name = "验收时长(h)")
    private String qjbwsc;

    /** 停机时长 */
    @Excel(name = "停运时长(h)")
    private String tjsc;

    /** 挂起时长 */
    @Excel(name = "挂起时长(h)")
    private String gqsc;

    /** 工分 */
    @Excel(name = "工分")
    private BigDecimal score;

    private BigDecimal scoreLast;

    private BigDecimal gfjsy;

    /**
     * 是否有中心查看权限
     */
    private boolean permission;

    private Long pcsId;

    private Long centerId;

    private Long userId;

    private Integer workOrderNumLast;

    private Integer repairOrderNumLast;

    /**
     * 维修工时
     */
    private BigDecimal wxgs;

    /**
     * 上月维修工时
     */
    private BigDecimal wxgsLast;

    /**
     * 维修较上月
     */
    private BigDecimal wxjsy;

    /**
     * 维保工时
     */
    private BigDecimal wbgs;

    /**
     * 上月维保工时
     */
    private BigDecimal wbgsLast;

    /**
     * 维保较上月
     */
    private BigDecimal wbjsy;

    private double workOrderJsy;

    private double repairOrderJsy;

    private Integer repairPending;

    private Integer workPending;

    private String dataPermission;

    private String remark;

    private String hasCenter;

    @Excel(name = "复启数量")
    private Integer restartNum;

    private String devices;

    private Integer timeOutNum;

    private Integer deptSort;

    private Integer centerSort;

    private Integer companySort;

    private List<GxtUserScore> scoreCompany;

    private List<GxtUserScore> scoreDept;

    private List<GxtUserScore> scoreCenter;

    private String nickName;

    private Integer pcsWorkOrderNum;

    private Integer pcsRepairOrderNum;

    private Integer pcsRepairRestartOrderNum;

    private Integer centerWorkOrderNum;

    private Integer centerRepairOrderNum;

    private Integer centerRepairRestartOrderNum;

    private Integer companyWorkOrderNum;

    private Integer companyRepairOrderNum;

    private Integer companyRepairRestartOrderNum;

    private String workOrderStatus;

    public Integer getCompanyWorkOrderNum() {
        return companyWorkOrderNum;
    }

    public void setCompanyWorkOrderNum(Integer companyWorkOrderNum) {
        this.companyWorkOrderNum = companyWorkOrderNum;
    }

    public Integer getCompanyRepairOrderNum() {
        return companyRepairOrderNum;
    }

    public void setCompanyRepairOrderNum(Integer companyRepairOrderNum) {
        this.companyRepairOrderNum = companyRepairOrderNum;
    }

    public Integer getCenterWorkOrderNum() {
        return centerWorkOrderNum;
    }

    public void setCenterWorkOrderNum(Integer centerWorkOrderNum) {
        this.centerWorkOrderNum = centerWorkOrderNum;
    }

    public Integer getCenterRepairOrderNum() {
        return centerRepairOrderNum;
    }

    public void setCenterRepairOrderNum(Integer centerRepairOrderNum) {
        this.centerRepairOrderNum = centerRepairOrderNum;
    }

    public Integer getPcsWorkOrderNum() {
        return pcsWorkOrderNum;
    }

    public void setPcsWorkOrderNum(Integer pcsWorkOrderNum) {
        this.pcsWorkOrderNum = pcsWorkOrderNum;
    }

    public Integer getPcsRepairOrderNum() {
        return pcsRepairOrderNum;
    }

    public void setPcsRepairOrderNum(Integer pcsRepairOrderNum) {
        this.pcsRepairOrderNum = pcsRepairOrderNum;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Integer getTimeOutNum() {
        return timeOutNum;
    }

    public void setTimeOutNum(Integer timeOutNum) {
        this.timeOutNum = timeOutNum;
    }

    public String getDevices() {
        return devices;
    }

    public void setDevices(String devices) {
        this.devices = devices;
    }

    public Integer getRestartNum() {
        return restartNum;
    }

    public void setRestartNum(Integer restartNum) {
        this.restartNum = restartNum;
    }

    public String getOrderCode() {
        return orderCode;
    }

    public void setOrderCode(String orderCode) {
        this.orderCode = orderCode;
    }

    public String getHasCenter() {
        return hasCenter;
    }

    public void setHasCenter(String hasCenter) {
        this.hasCenter = hasCenter;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getDataPermission() {
        return dataPermission;
    }

    public void setDataPermission(String dataPermission) {
        this.dataPermission = dataPermission;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getCenter() {
        return center;
    }

    public void setCenter(String center) {
        this.center = center;
    }

    public String getPcs() {
        return pcs;
    }

    public void setPcs(String pcs) {
        this.pcs = pcs;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getSystem() {
        return system;
    }

    public void setSystem(String system) {
        this.system = system;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public Boolean getRepairOrder() {
        return repairOrder;
    }

    public void setRepairOrder(Boolean repairOrder) {
        this.repairOrder = repairOrder;
    }

    public Boolean getWorkOrder() {
        return workOrder;
    }

    public void setWorkOrder(Boolean workOrder) {
        this.workOrder = workOrder;
    }

    public String getRepairPerson() {
        return repairPerson;
    }

    public void setRepairPerson(String repairPerson) {
        this.repairPerson = repairPerson;
    }

    public String getChargePerson() {
        return chargePerson;
    }

    public void setChargePerson(String chargePerson) {
        this.chargePerson = chargePerson;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public Integer getRepairOrderNum() {
        return repairOrderNum;
    }

    public void setRepairOrderNum(Integer repairOrderNum) {
        this.repairOrderNum = repairOrderNum;
    }

    public Integer getWorkOrderNum() {
        return workOrderNum;
    }

    public void setWorkOrderNum(Integer workOrderNum) {
        this.workOrderNum = workOrderNum;
    }

    public String getGstj() {
        return gstj;
    }

    public void setGstj(String gstj) {
        this.gstj = gstj;
    }

    public String getTjsc() {
        return tjsc;
    }

    public void setTjsc(String tjsc) {
        this.tjsc = tjsc;
    }

    public String getXfsc() {
        return xfsc;
    }

    public void setXfsc(String xfsc) {
        this.xfsc = xfsc;
    }

    public String getXysc() {
        return xysc;
    }

    public void setXysc(String xysc) {
        this.xysc = xysc;
    }

    public String getZbsc() {
        return zbsc;
    }

    public void setZbsc(String zbsc) {
        this.zbsc = zbsc;
    }

    public String getClsc() {
        return clsc;
    }

    public void setClsc(String clsc) {
        this.clsc = clsc;
    }

    public String getQjbwsc() {
        return qjbwsc;
    }

    public void setQjbwsc(String qjbwsc) {
        this.qjbwsc = qjbwsc;
    }

    public String getGqsc() {
        return gqsc;
    }

    public void setGqsc(String gqsc) {
        this.gqsc = gqsc;
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public boolean isPermission() {
        return permission;
    }

    public void setPermission(boolean permission) {
        this.permission = permission;
    }

    public Long getPcsId() {
        return pcsId;
    }

    public void setPcsId(Long pcsId) {
        this.pcsId = pcsId;
    }

    public Long getCenterId() {
        return centerId;
    }

    public void setCenterId(Long centerId) {
        this.centerId = centerId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getWorkOrderNumLast() {
        return workOrderNumLast;
    }

    public void setWorkOrderNumLast(Integer workOrderNumLast) {
        this.workOrderNumLast = workOrderNumLast;
    }

    public Integer getRepairOrderNumLast() {
        return repairOrderNumLast;
    }

    public void setRepairOrderNumLast(Integer repairOrderNumLast) {
        this.repairOrderNumLast = repairOrderNumLast;
    }

    public BigDecimal getWxgs() {
        return wxgs;
    }

    public void setWxgs(BigDecimal wxgs) {
        this.wxgs = wxgs;
    }

    public BigDecimal getWxgsLast() {
        return wxgsLast;
    }

    public void setWxgsLast(BigDecimal wxgsLast) {
        this.wxgsLast = wxgsLast;
    }

    public BigDecimal getWbgs() {
        return wbgs;
    }

    public void setWbgs(BigDecimal wbgs) {
        this.wbgs = wbgs;
    }

    public BigDecimal getWbgsLast() {
        return wbgsLast;
    }

    public void setWbgsLast(BigDecimal wbgsLast) {
        this.wbgsLast = wbgsLast;
    }

    public BigDecimal getWxjsy() {
        return wxjsy;
    }

    public void setWxjsy(BigDecimal wxjsy) {
        this.wxjsy = wxjsy;
    }

    public BigDecimal getWbjsy() {
        return wbjsy;
    }

    public void setWbjsy(BigDecimal wbjsy) {
        this.wbjsy = wbjsy;
    }

    public double getWorkOrderJsy() {
        return workOrderJsy;
    }

    public void setWorkOrderJsy(double workOrderJsy) {
        this.workOrderJsy = workOrderJsy;
    }

    public double getRepairOrderJsy() {
        return repairOrderJsy;
    }

    public void setRepairOrderJsy(double repairOrderJsy) {
        this.repairOrderJsy = repairOrderJsy;
    }

    public Integer getRepairPending() {
        return repairPending;
    }

    public void setRepairPending(Integer repairPending) {
        this.repairPending = repairPending;
    }

    public Integer getWorkPending() {
        return workPending;
    }

    public void setWorkPending(Integer workPending) {
        this.workPending = workPending;
    }

    public BigDecimal getScoreLast() {
        return scoreLast;
    }

    public void setScoreLast(BigDecimal scoreLast) {
        this.scoreLast = scoreLast;
    }

    public BigDecimal getGfjsy() {
        return gfjsy;
    }

    public void setGfjsy(BigDecimal gfjsy) {
        this.gfjsy = gfjsy;
    }

    public Integer getDeptSort() {
        return deptSort;
    }

    public void setDeptSort(Integer deptSort) {
        this.deptSort = deptSort;
    }

    public Integer getCenterSort() {
        return centerSort;
    }

    public void setCenterSort(Integer centerSort) {
        this.centerSort = centerSort;
    }

    public Integer getCompanySort() {
        return companySort;
    }

    public void setCompanySort(Integer companySort) {
        this.companySort = companySort;
    }

    public List<GxtUserScore> getScoreCompany() {
        return scoreCompany;
    }

    public void setScoreCompany(List<GxtUserScore> scoreCompany) {
        this.scoreCompany = scoreCompany;
    }

    public List<GxtUserScore> getScoreDept() {
        return scoreDept;
    }

    public void setScoreDept(List<GxtUserScore> scoreDept) {
        this.scoreDept = scoreDept;
    }

    public List<GxtUserScore> getScoreCenter() {
        return scoreCenter;
    }

    public void setScoreCenter(List<GxtUserScore> scoreCenter) {
        this.scoreCenter = scoreCenter;
    }

    public Integer getRepairRestartOrderNum() {
        return repairRestartOrderNum;
    }

    public void setRepairRestartOrderNum(Integer repairRestartOrderNum) {
        this.repairRestartOrderNum = repairRestartOrderNum;
    }

    public Integer getPcsRepairRestartOrderNum() {
        return pcsRepairRestartOrderNum;
    }

    public void setPcsRepairRestartOrderNum(Integer pcsRepairRestartOrderNum) {
        this.pcsRepairRestartOrderNum = pcsRepairRestartOrderNum;
    }

    public Integer getCenterRepairRestartOrderNum() {
        return centerRepairRestartOrderNum;
    }

    public void setCenterRepairRestartOrderNum(Integer centerRepairRestartOrderNum) {
        this.centerRepairRestartOrderNum = centerRepairRestartOrderNum;
    }

    public Integer getCompanyRepairRestartOrderNum() {
        return companyRepairRestartOrderNum;
    }

    public void setCompanyRepairRestartOrderNum(Integer companyRepairRestartOrderNum) {
        this.companyRepairRestartOrderNum = companyRepairRestartOrderNum;
    }

    public String getWorkOrderStatus() {
        return workOrderStatus;
    }

    public void setWorkOrderStatus(String workOrderStatus) {
        this.workOrderStatus = workOrderStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("center", getCenter())
            .append("pcs", getPcs())
            .append("code", getCode())
            .append("brand", getBrand())
            .append("model", getModel())
            .append("system", getSystem())
            .append("orderType", getOrderType())
            .append("repairOrder", getRepairOrder())
            .append("workOrder", getWorkOrder())
            .append("repairPerson", getRepairPerson())
            .append("chargePerson", getChargePerson())
            .append("repairOrderNum", getRepairOrderNum())
            .append("workOrderNum", getWorkOrderNum())
            .append("gstj", getGstj())
            .append("tjsc", getTjsc())
            .append("xfsc", getXfsc())
            .append("xysc", getXysc())
            .append("zbsc", getZbsc())
            .append("clsc", getClsc())
            .append("qjbwsc", getQjbwsc())
            .append("gqsc", getGqsc())
            .append("score", getScore())
            .toString();
    }
}